 #!/bin/bash
# Copyright Netgear 2010-2013
# Updated: Sept 9/2010

OS_VERSION=`sw_vers -productVersion`
OS_VERSION_MINOR=`echo $OS_VERSION | cut -d . -f 2`
date
echo "=============================="
echo "$0 Mac OS version $OS_VERSION $OS_VERSION_MINOR"


# Update kext permissions
packages="NetgearQMIDirectIP.kext NetgearQMISupport.kext NetgearVSP.kext"
for pkg in $packages
do
  if [ -d "/System/Library/Extensions/$pkg" ] ; then
	chmod -R u+rwx,go=rx "/System/Library/Extensions/$pkg"
	chown -R root:wheel "/System/Library/Extensions/$pkg"
    fi
done

# force kext cache to reload
touch /System/Library/Extensions

# persipc.plist includes obsolete sipc codes, to force devices to modem mode
if [ -f  /Library/Preferences/com.sierrawireless.persipc.plist ] ; then
	echo "com.sierrawireless.persipc.plist is already in /Library/Preferences"
	# we need to update the file then...
else
	persipc=`dirname "$0"`/com.sierrawireless.persipc.plist
	cp "$persipc" /Library/Preferences
fi
chmod u+rw,go+rw /Library/Preferences/com.sierrawireless.*.plist

# set correct permissions on LaunchDaemons folder to avoid launchctl error:
# "Dubious permissions on the file (skipping): /Library/LaunchDaemons"
# and make sure SWoCTool is launched after Mac OS restart
chmod u=rwx,g=rx,o=rx /Library/LaunchDaemons


if [ -f /Library/Netgear/NetgearSwitchToolr ] ; then
	# update /Library/Preferences/com.sierrawireless.sipc.plist 
	/Library/Netgear/NetgearSwitchToolr -init >& /dev/null
	exitCode=$?
	echo "NetgearSwitchTool exitCode $exitCode"
	if [ $exitCode != 0 ] ; then
		
		# try SierraSwitchTool again
		echo "Wait 3 seconds before trying NetgearSwitchTool again "
		sleep 3
		/Library/Netgear/NetgearSwitchToolr -init  >& /dev/null
		exitCode=$?
		echo "NetgearSwitchTool exitCode $exitCode"
	fi
	
	

	
	#  launchctl load -F /Library/LaunchAgents/com.sierrawireless.SwitchTool.plist # had to remove this cause it makes the installer fail (because it removes the volume before install is done!!)


	ls -l /Library/Preferences/com.sierrawireless.sipc.plist 
	cat /Library/Preferences/com.sierrawireless.sipc.plist 

fi  # if SierraSwitchTool

exit 0