#!/bin/bash
# Copyright Sierra Wireless 2010
# Updated: Sept 10/2010

OS_VERSION=`sw_vers -productVersion`
OS_VERSION_MINOR=`echo $OS_VERSION | cut -d . -f 2`
date
echo "=============================="
echo "$0 Mac OS version $OS_VERSION $OS_VERSION_MINOR"



# delete all Sierra Wireless UMTS drivers
packages="SierraDisableSD.kext SierraHSRKicker.kext SierraHSRSupport.kext SierraSupport.kext SierraSupportKicker.kext SierraSwitch.kext SierraSwitchKicker.kext SierraFSRSupport.kext SierraIPDirect.kext SierraDIPSupport.kext SierraHelper.kext SierraQMISupport.kext NetgearQMISupport.kext SierraQMIDirectIP.kext NetgearQMIDirectIP.kext SierraVSP.kext NetgearVSP.kext"

for pkg in $packages
do
   if [ -d /System/Library/Extensions/"$pkg" ] ; then
	rm -Rf /System/Library/Extensions/"$pkg"
   fi
done

# force reload of kext cache
touch /System/Library/Extensions

# delete sierra files
rm -f /Library/Sierra/FixDirectIP
rm -f /Library/Sierra/SierraDevSupport
rm -f /Library/Sierra/SierraSwitchTool
# rmdir /Library/Sierra
rm -Rf /Library/Sierra

for plist in "/Library/LaunchDaemons/com.sierrawireless.SwitchTool.plist" "/Library/LaunchDaemons/com.sierrawireless.SWoCTool.plist"
do
	if [ -e "$plist" ] ; then
		launchctl unload "$plist"
		rm -f "$plist"
	fi
done


if [ $KEEP_SIPC_FILES ] ; then
	echo "Keeping SIPC files as KEEP_SIPC_FILES is set to'$KEEP_SIPC_FILES'"
else
	echo "Removing SIPC files as KEEP_SIPC_FILES is not set"
	rm -f /Library/Preferences/{com.sierrawireless.persipc.plist,com.sierrawireless.sipc.plist}
fi


# remove direct IP services
dis=`dirname "$0"`/directIPServiceRemoval.pl
"$dis" >> ~/Library/Logs/SierraDirectIPServiceRemoval.log 2>&1

exit 0